dotgnu-pnet-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Dotgnu-pnet-commits] pnet ChangeLog, 1.2806, 1.2807 missing, 1.1.1.1, 1


From: Rhys Weatherley <address@hidden>
Subject: [Dotgnu-pnet-commits] pnet ChangeLog, 1.2806, 1.2807 missing, 1.1.1.1, 1.2
Date: Thu, 27 Nov 2003 03:19:21 +0000

Update of /cvsroot/dotgnu-pnet/pnet
In directory subversions:/tmp/cvs-serv26454

Modified Files:
        ChangeLog missing 
Log Message:


Update the "missing" script so that it is no longer "too old or missing".


Index: missing
===================================================================
RCS file: /cvsroot/dotgnu-pnet/pnet/missing,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -C2 -d -r1.1.1.1 -r1.2
*** missing     13 Aug 2001 05:20:59 -0000      1.1.1.1
--- missing     27 Nov 2003 03:19:19 -0000      1.2
***************
*** 1,6 ****
  #! /bin/sh
  # Common stub for a few missing GNU programs while installing.
! # Copyright (C) 1996, 1997 Free Software Foundation, Inc.
! # Franc,ois Pinard <address@hidden>, 1996.
  
  # This program is free software; you can redistribute it and/or modify
--- 1,6 ----
  #! /bin/sh
  # Common stub for a few missing GNU programs while installing.
! # Copyright (C) 1996, 1997, 1999, 2000, 2002 Free Software Foundation, Inc.
! # Originally by Fran,cois Pinard <address@hidden>, 1996.
  
  # This program is free software; you can redistribute it and/or modify
***************
*** 19,22 ****
--- 19,27 ----
  # 02111-1307, USA.
  
+ # As a special exception to the GNU General Public License, if you
+ # distribute this file as part of a program that contains a
+ # configuration script generated by Autoconf, you may include it under
+ # the same distribution terms that you use for the rest of that program.
+ 
  if test $# -eq 0; then
    echo 1>&2 "Try \`$0 --help' for more information"
***************
*** 24,27 ****
--- 29,53 ----
  fi
  
+ run=:
+ 
+ # In the cases where this matters, `missing' is being run in the
+ # srcdir already.
+ if test -f configure.ac; then
+   configure_ac=configure.ac
+ else
+   configure_ac=configure.in
+ fi
+ 
+ case "$1" in
+ --run)
+   # Try to run requested program, and just exit if it succeeds.
+   run=
+   shift
+   "$@" && exit 0
+   ;;
+ esac
+ 
+ # If it does not exist, or fails to run (possibly an outdated version),
+ # try to emulate it.
  case "$1" in
  
***************
*** 36,39 ****
--- 62,66 ----
    -h, --help      display this help and exit
    -v, --version   output version information and exit
+   --run           try to run the given command, and emulate it if it fails
  
  Supported PROGRAM values:
***************
*** 44,54 ****
    bison        create \`y.tab.[ch]', if possible, from existing .[ch]
    flex         create \`lex.yy.c', if possible, from existing .c
    lex          create \`lex.yy.c', if possible, from existing .c
    makeinfo     touch the output file
    yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
      ;;
  
    -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
!     echo "missing - GNU libit 0.0"
      ;;
  
--- 71,83 ----
    bison        create \`y.tab.[ch]', if possible, from existing .[ch]
    flex         create \`lex.yy.c', if possible, from existing .c
+   help2man     touch the output file
    lex          create \`lex.yy.c', if possible, from existing .c
    makeinfo     touch the output file
+   tar          try tar, gnutar, gtar, then tar without non-portable flags
    yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
      ;;
  
    -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
!     echo "missing 0.4 - GNU automake"
      ;;
  
***************
*** 59,66 ****
      ;;
  
!   aclocal)
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`acinclude.m4' or \`configure.in'.  You might want
           to install the \`Automake' and \`Perl' packages.  Grab them from
           any GNU archive site."
--- 88,100 ----
      ;;
  
!   aclocal*)
!     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
!        # We have it, but it failed.
!        exit 1
!     fi
! 
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
           to install the \`Automake' and \`Perl' packages.  Grab them from
           any GNU archive site."
***************
*** 69,75 ****
  
    autoconf)
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`configure.in'.  You might want to install the
           \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
           archive site."
--- 103,114 ----
  
    autoconf)
+     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+        # We have it, but it failed.
+        exit 1
+     fi
+ 
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`${configure_ac}'.  You might want to install the
           \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
           archive site."
***************
*** 78,87 ****
  
    autoheader)
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`acconfig.h' or \`configure.in'.  You might want
           to install the \`Autoconf' and \`GNU m4' packages.  Grab them
           from any GNU archive site."
!     files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' configure.in`
      test -z "$files" && files="config.h"
      touch_files=
--- 117,131 ----
  
    autoheader)
+     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+        # We have it, but it failed.
+        exit 1
+     fi
+ 
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`acconfig.h' or \`${configure_ac}'.  You might want
           to install the \`Autoconf' and \`GNU m4' packages.  Grab them
           from any GNU archive site."
!     files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' 
${configure_ac}`
      test -z "$files" && files="config.h"
      touch_files=
***************
*** 96,103 ****
      ;;
  
!   automake)
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
           You might want to install the \`Automake' and \`Perl' packages.
           Grab them from any GNU archive site."
--- 140,152 ----
      ;;
  
!   automake*)
!     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
!        # We have it, but it failed.
!        exit 1
!     fi
! 
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
!          you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
           You might want to install the \`Automake' and \`Perl' packages.
           Grab them from any GNU archive site."
***************
*** 107,110 ****
--- 156,187 ----
      ;;
  
+   autom4te)
+     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+        # We have it, but it failed.
+        exit 1
+     fi
+ 
+     echo 1>&2 "\
+ WARNING: \`$1' is needed, and you do not seem to have it handy on your
+          system.  You might have modified some files without having the
+          proper tools for further handling them.
+          You can get \`$1Help2man' as part of \`Autoconf' from any GNU
+          archive site."
+ 
+     file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
+     test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
+     if test -f "$file"; then
+       touch $file
+     else
+       test -z "$file" || exec >$file
+       echo "#! /bin/sh"
+       echo "# Created by GNU Automake missing as a replacement of"
+       echo "#  $ $@"
+       echo "exit 0"
+       chmod +x $file
+       exit 1
+     fi
+     ;;
+ 
    bison|yacc)
      echo 1>&2 "\
***************
*** 160,164 ****
--- 237,271 ----
      ;;
  
+   help2man)
+     if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+        # We have it, but it failed.
+        exit 1
+     fi
+ 
+     echo 1>&2 "\
+ WARNING: \`$1' is missing on your system.  You should only need it if
+        you modified a dependency of a manual page.  You may need the
+        \`Help2man' package in order for those modifications to take
+        effect.  You can get \`Help2man' from any GNU archive site."
+ 
+     file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+     if test -z "$file"; then
+       file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
+     fi
+     if [ -f "$file" ]; then
+       touch $file
+     else
+       test -z "$file" || exec >$file
+       echo ".ab help2man is required to generate this page"
+       exit 1
+     fi
+     ;;
+ 
    makeinfo)
+     if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
+        # We have makeinfo, but it failed.
+        exit 1
+     fi
+ 
      echo 1>&2 "\
  WARNING: \`$1' is missing on your system.  You should only need it if
***************
*** 174,177 ****
--- 281,323 ----
      fi
      touch $file
+     ;;
+ 
+   tar)
+     shift
+     if test -n "$run"; then
+       echo 1>&2 "ERROR: \`tar' requires --run"
+       exit 1
+     fi
+ 
+     # We have already tried tar in the generic part.
+     # Look for gnutar/gtar before invocation to avoid ugly error
+     # messages.
+     if (gnutar --version > /dev/null 2>&1); then
+        gnutar "$@" && exit 0
+     fi
+     if (gtar --version > /dev/null 2>&1); then
+        gtar "$@" && exit 0
+     fi
+     firstarg="$1"
+     if shift; then
+       case "$firstarg" in
+       *o*)
+           firstarg=`echo "$firstarg" | sed s/o//`
+           tar "$firstarg" "$@" && exit 0
+           ;;
+       esac
+       case "$firstarg" in
+       *h*)
+           firstarg=`echo "$firstarg" | sed s/h//`
+           tar "$firstarg" "$@" && exit 0
+           ;;
+       esac
+     fi
+ 
+     echo 1>&2 "\
+ WARNING: I can't seem to be able to run \`tar' with the given arguments.
+          You may want to install GNU tar or Free paxutils, or check the
+          command line arguments."
+     exit 1
      ;;
  

Index: ChangeLog
===================================================================
RCS file: /cvsroot/dotgnu-pnet/pnet/ChangeLog,v
retrieving revision 1.2806
retrieving revision 1.2807
diff -C2 -d -r1.2806 -r1.2807
*** ChangeLog   27 Nov 2003 01:28:55 -0000      1.2806
--- ChangeLog   27 Nov 2003 03:19:19 -0000      1.2807
***************
*** 7,10 ****
--- 7,13 ----
        * support/file.c (ILCopyFile): rewrite the file copying function.
  
+       * missing: update the "missing" script so that it is no longer
+       "too old or missing".
+ 
  2003-11-26  Rhys Weatherley  <address@hidden>
  





reply via email to

[Prev in Thread] Current Thread [Next in Thread]